AntProjectPropertiesDelegate (Groovy 5.0.7)
Description: declaration: package: org.codehaus.groovy.ant, class: AntProjectPropertiesDelegate

Package org.codehaus.groovy.ant

# Class AntProjectPropertiesDelegate

java.lang.Object
java.util.Dictionary<K,V>
java.util.Hashtable<String,Object>
org.codehaus.groovy.ant.AntProjectPropertiesDelegate

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`

public class AntProjectPropertiesDelegate extends Hashtable<String,Object>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AntProjectPropertiesDelegate(Map<? extends String,?> t)`
  `AntProjectPropertiesDelegate(org.apache.tools.ant.Project project)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `Object`
  `clone()`
  `boolean`
  `contains(Object value)`
  `boolean`
  `containsKey(Object key)`
  `boolean`
  `containsValue(Object value)`
  `Enumeration<Object>`
  `elements()`
  `Set<Map.Entry<String,Object>>`
  `entrySet()`
  `boolean`
  `equals(Object o)`
  `Object`
  `get(Object key)`
  `int`
  `hashCode()`
  `boolean`
  `isEmpty()`
  `Enumeration<String>`
  `keys()`
  `Set<String>`
  `keySet()`
  `Object`
  `put(String key, Object value)`
  `void`
  `putAll(Map<? extends String,?> t)`
  `Object`
  `remove(Object key)`
  `int`
  `size()`
  `String`
  `toString()`
  `Collection<Object>`
  `values()`

  ### Methods inherited from class java.util.Hashtable

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, rehash, remove, replace, replace, replaceAll`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AntProjectPropertiesDelegate

    public AntProjectPropertiesDelegate(org.apache.tools.ant.Project project)

  - ### AntProjectPropertiesDelegate

    public AntProjectPropertiesDelegate(Map<? extends String,?> t)

- ## Method Details

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `Map<String,Object>`
    Overrides:
      `hashCode` in class `Hashtable<String,Object>`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Map<String,Object>`
    Overrides:
      `size` in class `Hashtable<String,Object>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Map<String,Object>`
    Overrides:
      `clear` in class `Hashtable<String,Object>`
    Throws:
      `UnsupportedOperationException` - is always thrown when this method is invoked. The Project properties are immutable.

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Map<String,Object>`
    Overrides:
      `isEmpty` in class `Hashtable<String,Object>`

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Hashtable<String,Object>`

  - ### contains

    public boolean contains(Object value)
    Overrides:
      `contains` in class `Hashtable<String,Object>`

  - ### containsKey

    public boolean containsKey(Object key)
    Specified by:
      `containsKey` in interface `Map<String,Object>`
    Overrides:
      `containsKey` in class `Hashtable<String,Object>`

  - ### containsValue

    public boolean containsValue(Object value)
    Specified by:
      `containsValue` in interface `Map<String,Object>`
    Overrides:
      `containsValue` in class `Hashtable<String,Object>`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in interface `Map<String,Object>`
    Overrides:
      `equals` in class `Hashtable<String,Object>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Hashtable<String,Object>`

  - ### values

    public Collection<Object> values()
    Specified by:
      `values` in interface `Map<String,Object>`
    Overrides:
      `values` in class `Hashtable<String,Object>`

  - ### elements

    public Enumeration<Object> elements()
    Overrides:
      `elements` in class `Hashtable<String,Object>`

  - ### keys

    public Enumeration<String> keys()
    Overrides:
      `keys` in class `Hashtable<String,Object>`

  - ### putAll

    public void putAll(Map<? extends String,?> t)
    Specified by:
      `putAll` in interface `Map<String,Object>`
    Overrides:
      `putAll` in class `Hashtable<String,Object>`

  - ### entrySet

    public Set<Map.Entry<String,Object>> entrySet()
    Specified by:
      `entrySet` in interface `Map<String,Object>`
    Overrides:
      `entrySet` in class `Hashtable<String,Object>`

  - ### keySet

    public Set<String> keySet()
    Specified by:
      `keySet` in interface `Map<String,Object>`
    Overrides:
      `keySet` in class `Hashtable<String,Object>`

  - ### get

    public Object get(Object key)
    Specified by:
      `get` in interface `Map<String,Object>`
    Overrides:
      `get` in class `Hashtable<String,Object>`

  - ### remove

    public Object remove(Object key)
    Specified by:
      `remove` in interface `Map<String,Object>`
    Overrides:
      `remove` in class `Hashtable<String,Object>`
    Throws:
      `UnsupportedOperationException` - is always thrown when this method is invoked. The Project properties are immutable.

  - ### put

    public Object put(String key, Object value)
    Specified by:
      `put` in interface `Map<String,Object>`
    Overrides:
      `put` in class `Hashtable<String,Object>`